package cokr.xit.fims.mngt.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.fims.mngt.Ntc;
import cokr.xit.fims.mngt.NtcQuery;
import cokr.xit.fims.mngt.service.NtcService;
import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

@Service("ntcService")
public class NtcServiceBean extends AbstractServiceBean implements NtcService {

	@Resource(name="ntcBean")
	private NtcBean ntcBean;

	@Override
	public List<DataObject> getNtcList(NtcQuery req) {
		return ntcBean.getNtcList(req);
	}

	@Override
	public DataObject getNtcInfo(String ntcId) {
		return ntcBean.getNtcInfo(ntcId);
	}

	@Override
	public String create(Ntc ntc) {
		return ntcBean.create(ntc) ? "[S]" : "[F]";
	}

	@Override
	public String update(Ntc ntc) {
		return ntcBean.update(ntc) ? "[S]" : "[F]";
	}

	@Override
	public String remove(Ntc ntc) {
		return ntcBean.remove(ntc) ? "[S]" : "[F]";
	}

}
